com.r3corda.contracts / Rate

# Rate

`open class Rate`

Parent of the Rate family. Used to denote fixed rates, floating rates, reference rates etc.

### Constructors

<init> | `Rate(ratioUnit: RatioUnit? = null)` Parent of the Rate family. Used to denote fixed rates, floating rates, reference rates etc.

### Properties

ratioUnit | `val ratioUnit: RatioUnit?`

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`

### Inheritors

FixedRate | `class FixedRate : Rate` A very basic subclass to represent a fixed rate.
FloatingRate | `open class FloatingRate : Rate` The parent class of the Floating rate classes.